# unversionned doc dir F20 change https://fedoraproject.org/wiki/Changes/UnversionedDocdirs
%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}

Name:						is-interface
Version:					1.15.0
Release:					6%{?dist}
Summary:					Information service library for the lcg bdii system
Group:						Applications/Internet
License:					ASL 2.0+
URL:						https://svnweb.cern.ch/trac/lcgutil
# svn export http://svn.cern.ch/guest/lcgutil/is-interface/trunk is-interface-1.12.1
Source0:					http://grid-deployment.web.cern.ch/grid-deployment/dms/lcgutil/tar/%{name}/%{name}-%{version}.tar.gz 
BuildRoot:					%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:				cmake
BuildRequires:				openldap-devel
BuildRequires:				glib2-devel

Requires:					openldap%{?_isa}

%description
Information service library for the bdii system.
Provide an API to interact with the lcg BDII system, \
compatible GLUE 1.0 and GLUE 2.0

%package devel
Summary:					Development files for is-interface
Group:						Applications/Internet
Requires:					%{name}%{?_isa} = %{version}-%{release}
BuildRequires:				openldap-devel%{?_isa}
BuildRequires:				glib2-devel%{?_isa}
Requires:					pkgconfig

%description devel
development files for is-interface

%post -p /sbin/ldconfig

%clean
rm -rf "$RPM_BUILD_ROOT";
make clean

%prep
%setup -q

%build
%cmake -D DOC_INSTALL_DIR=%{_pkgdocdir} .
make %{?_smp_mflags}

%postun -p /sbin/ldconfig

%install
rm -rf "$RPM_BUILD_ROOT"; 
make %{?_smp_mflags} install DESTDIR="$RPM_BUILD_ROOT" 

%files devel
%defattr (-,root,root)
%{_libdir}/pkgconfig/*.pc
%{_includedir}/ServiceDiscoveryIfce.h
%dir %{_pkgdocdir}
%{_pkgdocdir}/RELEASE-NOTES
%{_libdir}/libis_ifce.so


%files 
%defattr (-,root,root)
%{_bindir}/glite-sd-query
%{_pkgdocdir}/LICENSE
%{_pkgdocdir}/README
%{_pkgdocdir}/VERSION
%{_libdir}/libis_ifce.so.*


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.15.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jun 22 2015 Alejandro Alvarez Ayllon <aalvarez@cern.ch> - 1.15.0-5
- Unversioned doc dir when relevant
- Own doc dir

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.15.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.15.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.15.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.15.0-1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Mar 20 2013  Adrien Devresse <adevress at cern.ch> - 1.15.0
 - fix an issue with FTS 2.2.9  and glite-sd-query

* Thu Nov 29 2012 Adrien Devresse <adevress at cern.ch> - 1.14.0
- correct several memory leaks
- correct thread safety issues
- implement session re-use system for fts 3.0

* Mon Sep 17 2012 Adrien Devresse <adevress at cern.ch> - 1.13.9-0
 - hot fix for the LFC_HOST problem
 
* Fri Jul 20 2012 Adrien Devresse <adevress at cern.ch> - 1.13.0-0
 - crash fix related to get_details
 - wildcard support in INFOSYS
 - minor bug fix
 - synchronisation with EMI 2 update

* Wed Apr 18 2012 Zsolt Molnar <zsolt.molnar@cern.ch> - 1.12.2-2
 - remove forgotten print statements - visible in glue2 mode only
 - some more fixes for memory leaks
 - fix leak when more than one endpt returned if endpoint is specified
 - some more sanity checks and valgrind warning fixes
 - sanity checks , variable initializations
 - fix memory leak in FTS only

* Thu Feb 16 2012 Adrien Devress <adevress at cern.ch> - 1.12.1-8
 - fix the sd query tool name and put it in std package for fts needs

* Tue Jan 31 2012 Adrien Devress <adevress at cern.ch> - 1.12.1-7
 - update the devel package dependencies

* Tue Jan 17 2012 Adrien Devress <adevress at cern.ch> - 1.12.1-6
 - add pkgconfig dependency

* Mon Jan 16 2012 Adrien Devress <adevress at cern.ch> - 1.12.1-5
 - add package config files
 - change build-root
 - add source URL
 
* Wed Jan 11 2012 Adrien Devress <adevress at cern.ch> - 1.12.1-4
 - create versioning per branch

* Thu Jan 05 2012 Adrien Devress <adevress at cern.ch> - 1.12.1-3
 - Second Revision for EPEL/fedora conformance

* Fri Dec 16 2011 adevress at cern.ch 1.12.1-2
 - First Revision for EPEL/fedora conformance
 
* Mon Nov 28 2011 <adevress at cern.ch> 1.12.1-1
 - packaging of the first 1.1.3 version of is-interface
